Bug 1352536 (zendframework/zend-expressive) - Review Request: php-zendframework-zend-expressive - PSR-7 Middleware Microframework based on Stratigility
Summary: Review Request: php-zendframework-zend-expressive - PSR-7 Middleware Microfra...
Keywords:
Status: CLOSED ERRATA
Alias: zendframework/zend-expressive
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: zendframework/zend-expressive-router zendframework/zend-expressive-template zendframework/zend-stratigility zendframework/zend-expressive-aurarouter zendframework/zend-expressive-fastroute zendframework/zend-expressive-zendrouter
Blocks: 1357393
TreeView+ depends on / blocked
 
Reported: 2016-07-04 09:56 UTC by Remi Collet
Modified: 2016-07-30 18:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-30 18:24:49 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (6.52 KB, text/plain)
2016-07-19 09:08 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (4.63 KB, text/plain)
2016-07-19 09:09 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.36 KB, text/plain)
2016-07-19 09:09 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-07-04 09:56:13 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/af309bc23c4d8107c09a55236709793b43cfdd79/php/zend/php-zendframework-zend-expressive/php-zendframework-zend-expressive.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-stratigility-1.2.1-2.remi.src.rpm
Description: 
zend-expressive builds on zend-stratigility to provide a minimalist PSR-7
middleware framework for PHP, with the following features:
* Routing. Choose your own router; we support:
  - Aura.Router
  - FastRoute
  - ZF2's MVC router
* DI Containers, via container-interop. Middleware matched via routing is
  retrieved from the composed container.
* Optionally, templating. We support:
  -  Plates
  -  Twig
  -  ZF2's PhpRenderer

Documentation: http://zend-expressive.readthedocs.io/

Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2016-07-19 01:51:17 UTC
Please update with correct SRPM URL :)

Comment 3 Shawn Iwinski 2016-07-19 09:08:57 UTC
Created attachment 1181532 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST

Comment 4 Shawn Iwinski 2016-07-19 09:09:15 UTC
Created attachment 1181533 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST

Comment 5 Shawn Iwinski 2016-07-19 09:09:43 UTC
Created attachment 1181534 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1352536
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Shawn Iwinski 2016-07-19 09:10:52 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[!]: Requires correct, justified where necessary.

     Should be:
         Requires:       php-composer(container-interop/container-interop)    >= 1.1
     instead of:
         Requires:       php-composer(container-interop/container-interop)    >= 1.0

Minor update that can be changed after initial import



No blockers

===== APPROVED =====

Comment 7 Remi Collet 2016-07-19 09:15:51 UTC
Thanks!

Request for new package open.

Comment 8 Gwyn Ciesla 2016-07-19 15:38:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-expressive

Comment 9 Fedora Update System 2016-07-20 07:00:55 UTC
php-zendframework-zend-expressive-1.0.0-2.fc24 php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24 php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24 php-zendframework-zend-expressive-helpers-2.0.0-1.fc24 php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24 php-zendframework-zend-expressive-router-1.2.0-2.fc24 php-zendframework-zend-expressive-template-1.0.3-2.fc24 php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24 php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24 php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24 php-zendframework-zend-stratigility-1.2.1-2.fc24 php-aura-router-2.3.0-1.fc24 php-aura-di-2.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930

Comment 10 Fedora Update System 2016-07-21 04:21:43 UTC
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930

Comment 11 Fedora Update System 2016-07-30 18:24:24 UTC
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.